#!/bin/bash

source ./.env.prod.pcb

echo "Sincronizzazione in corso PCB PRODUZIONE ... $DIRECTORY_SERVER/"
echo ""

#!/bin/bash

# Configurazione
REMOTE_USER="pcbuser"
REMOTE_HOST="pcb"
REMOTE_PORT="8822"
REMOTE_DIR="$DIRECTORY_SERVER"
SSH_OPTIONS="-p $REMOTE_PORT"

# Array di cartelle e file da sincronizzare
SYNC_ITEMS=(
    "css"
    "docs"
    "emails"
    "plugins"
    "admin_scripts"
    "sass"
    "src"
)

echo $REMOTE_DIR

echo ""
echo "*** Copia Cartelle ... "


# Esegui rsync per le cartelle
rsync -avz --delete \
    --exclude='src/server/router/upload/' \
    -e "ssh $SSH_OPTIONS" \
    "${SYNC_ITEMS[@]}" \
    "$REMOTE_USER@$REMOTE_HOST:$REMOTE_DIR/"

echo ""
echo "*** Copia del file .env.production ... "

# Sincronizza i file specifici
rsync -avz -e "ssh $SSH_OPTIONS" \
    .env.prod.pcb "$REMOTE_USER@$REMOTE_HOST:$REMOTE_DIR/.env.production"

echo ""
echo "*** Copia del file package.json ... "
rsync -avz -e "ssh $SSH_OPTIONS" \
    package.json "$REMOTE_USER@$REMOTE_HOST:$REMOTE_DIR/package.json"

echo ""
echo "*** Copia del file ecosystem.config.js ... "
rsync -avz -e "ssh $SSH_OPTIONS" \
    ecosystem.config.pcb.js "$REMOTE_USER@$REMOTE_HOST:$REMOTE_DIR/ecosystem.config.js"

# Verifica il risultato
if [ $? -eq 0 ]; then
    echo "Sincronizzazione completata con successo.  SERVER PCB! "
else
    echo "Errore durante la sincronizzazione. Controlla l'output per i dettagli."
fi

